%define lib_major 17

Summary: GNOME Accessibility Implementation Library
Name: gail
Version: 1.2.0
Release: 1mdk
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
License: LGPL
Url: http://developer.gnome.org/projects/gap/
Group: Accessibility
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: libgnomecanvas2_0-devel >= 2.0.0
BuildRequires: atk-devel >= 1.1.3
BuildRequires: libgtk+2.0-devel >= 2.1.3
#ugly obsoletes to smooth upgrade
Obsoletes: lib%{name}13
Provides: lib%{name}13


%description
Gail is the GNOME Accessibility Implementation Library

%package -n lib%{name}%{lib_major}
Summary:	GNOME Accessibility Implementation Library
Group:		%{group}

Provides:	lib%{name} = %{version}-%{release}
Requires:   %{name} >= %{version}-%{release}


%description -n lib%{name}%{lib_major}
Gail is the GNOME Accessibility Implementation Library

%package -n lib%{name}%{lib_major}-devel
Summary:	Static libraries, include files for GAIL
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	lib%{name}%{lib_major} = %{version}
Requires:   libgnomecanvas2_0-devel

%description -n lib%{name}%{lib_major}-devel
Gail is the GNOME Accessibility Implementation Library


%prep
%setup -q

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/modules/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -n lib%{name}%{lib_major} -p /sbin/ldconfig
  
%postun -n lib%{name}%{lib_major} -p /sbin/ldconfig

%files -n %{name}
%defattr(-,root,root)
%doc README AUTHORS NEWS ChangeLog
%{_libdir}/gtk-2.0/modules/*.so

%files -n lib%{name}%{lib_major}
%defattr(-,root,root)
%{_libdir}/*.so.*


%files -n lib%{name}%{lib_major}-devel
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*
%{_libdir}/pkgconfig/*


%changelog
* Mon Jan 20 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-1mdk
- Release 1.2.0

* Tue Jan  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.7-1mdk
- Release 1.1.7

* Tue Dec 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.5-1mdk
- Release 1.1.5

* Tue Dec 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.4-1mdk
- Release 1.1.4

* Wed Nov 27 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.3-1mdk
- Release 1.1.3

* Wed Nov 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.2-1mdk
- Release 1.1.2

* Tue Jul 23 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.17-1mdk
- Release 0.17

* Tue Jun 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.16-1mdk
- Release 0.16

* Wed Jun  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.15-1mdk
- Release 0.15

* Wed May 29 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.13-2mdk
- Automated rebuild with gcc 3.1-1mdk

* Tue Apr 16 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.13-1mdk
- Release 0.13

* Mon Apr  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11-1mdk
- Release 0.11

* Mon Mar 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-1mdk
- Initial Mdk package


# end of file
